using System;

namespace Finale
{
    internal class Program
    {
        static void Main(string[] args)
        {

            string[] ab = Console.ReadLine().Split();
            long a = long.Parse(ab[0]);
            long b = long.Parse(ab[1]);
            long z = 2 * (a + b) - 4;
            if (a == b && b == 1)
            {
                Console.WriteLine(1);
                return;
            }
            if (a % 2 == 0)
            {
                z += ((a - 2) / 2) * (b - 2);
            }
            else
            {
                z += ((a - 2) / 2) * (b - 2) + ((b - 2) / 2);
            }
            Console.WriteLine(z);

        }
    }
}